--- title: "SDK 내보내기" slug: "apigateway-getexport" tags: ["API Gateway", "Swagger", "Open API", "Java SDK"] updated: 2026-09-17T09:15:58Z published: 2026-09-17T09:15:58Z canonical: "api.ncloud-docs.com/apigateway-getexport" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # SDK 내보내기 Classic/VPC 환경에서 이용 가능합니다. 배포된 API를 Swagger JSON 2.0, Open API JSON 3.0, Java SDK 형식으로 내보내기하여 다운로드합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/export | ### 요청 헤더 API Gateway에서 공통으로 사용하는 헤더에 대한 정보는 [API Gateway 요청 헤더](/docs/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 경로 파라미터 요청 경로 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `product-id` | String | Required | API가 속한 Product ID - 1~10자 - [Product 목록 조회](/docs/apigateway-product-getproductlist) 참조 | | `api-id` | String | Required | 내보낼 API의 ID - 1~10자 - [API 조회](/docs/apigateway-api-apis) 참조 | | `stage-id` | String | Required | API가 배포된 스테이지 ID - 1~10자 - [Stage 목록 조회](/docs/apigateway-stage-getstagelist) 참조 | ### 요청 쿼리 파라미터 요청 쿼리 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `platform` | String | Optional | 내려받을 Platform 파일 형식 - `SWAGGER_JSON` (기본값) \| `OPENAPI3_JSON` \| `JAVA_SDK` - `SWAGGER_JSON`: Swagger JSON 2.0 형식 - `OPENAPI3_JSON`: Open API JSON 3.0 형식 - `JAVA_SDK`: Java SDK 형식 | | `packageName` | String | Optional | 내보낼 Package 이름 | | `groupId` | String | Optional | JAVA SDK 형식으로 내보내는 경우 Java의 Group ID 지정 | | `artifactId` | String | Optional | JAVA SDK 형식으로 내보내는 경우 Java의 Artifact ID 지정 | | `artifactVersion` | String | Optional | JAVA SDK 형식으로 내보내는 경우 Java의 Artifact Version 지정 | | `license` | String | Optional | JAVA SDK 형식으로 내보내는 경우 Java의 License 지정 | | `version` | String | Optional | JAVA SDK 형식으로 내보내는 경우 Java의 Version 지정 | ### 요청 예시 요청 예시는 다음과 같습니다. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/stages/y7ri4o8kia/export?platform=SWAGGER_JSON&packageName=package01' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## 응답 응답 형식을 설명합니다. ### 응답 구문 응답 구문은 다음과 같습니다. ``` "Download File" ``` ### 응답 상태 코드 API Gateway에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [API Gateway 응답 상태 코드](/docs/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 응답 예시는 다음과 같습니다. ``` { "swagger" : "2.0", "info" : { "description" : "
https://********o9.apigw.ntruss.com/sample22/v1", "version" : "2024-05-02T07:35:04Z", "title" : "sample22" }, "host" : "********o9.apigw.ntruss.com", "basePath" : "/sample22/v1", "schemes" : [ "https" ], "paths" : { "/" : { }, "/apigw" : { }, "/apigw/v1" : { }, "/apigw/v1/api-keys" : { "get" : { "tags" : [ "v1" ], "description" : "demo /apigw/v1/api-keys", "consumes" : [ "application/json", "text/plain" ], "produces" : [ "application/json", "text/plain" ], "parameters" : [ { "name" : "x_header", "in" : "header", "description" : "header 1", "required" : true, "type" : "string", "x-ncp-parameter-is-logged" : false }, { "name" : "name", "in" : "query", "description" : "name desc", "required" : false, "type" : "string", "x-ncp-parameter-is-logged" : false } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "12121", "headers" : { "mock-header" : "header value" } } } }, "post" : { "tags" : [ "v1" ], "description" : "demo post /apigw/v1/api-keys", "consumes" : [ "application/json" ], "produces" : [ "application/json" ], "parameters" : [ { "in" : "body", "name" : "apiKey", "description" : "request body", "required" : true, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } } ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "HTTP" : { "method" : "POST", "url" : "/api-keys", "stream" : false } } } }, "/apigw/v1/apis" : { "get" : { "tags" : [ "v1" ], "description" : "demo apigw/v1/apis", "consumes" : [ "application/json" ], "produces" : [ "text/plain" ], "parameters" : [ ], "responses" : { "200" : { "description" : "", "headers" : { "x_header" : { "type" : "string", "description" : "ok" } }, "schema" : { "$ref" : "#/definitions/ApiKeyDto" } }, "404" : { "description" : "not found" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : false }, "auth" : { "platform" : "NONE" } }, "x-ncp-apigateway-endpoint" : { "MOCK" : { "httpStatus" : 200, "response" : "11111", "headers" : { "mock-header" : "header value" } } } } } }, "definitions" : { "ApiKeyDto" : { "type" : "object", "properties" : { "apiKeyDescription" : { "type" : "string" }, "apiKeyId" : { "type" : "string" }, "apiKeyName" : { "type" : "string" } }, "description" : "demo model", "x-ncp-model-description" : "demo model" } } } ```